Bug 1710187

Summary: Review Request: R-zeallot - Multiple, Unpacking, and Destructuring Assignment
Product: [Fedora] Fedora Reporter: Elliott Sales de Andrade <quantum.analyst>
Component: Package ReviewAssignee: José Matos <jamatos>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: jamatos, package-review
Target Milestone: ---Flags: jamatos: fedora-review+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-01 00:51:44 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1711175    

Description Elliott Sales de Andrade 2019-05-15 04:54:28 UTC
Spec URL: https://qulogic.fedorapeople.org//R-zeallot.spec
SRPM URL: https://qulogic.fedorapeople.org//R-zeallot-0.1.0-1.fc30.src.rpm

Description:
Provides a %<-% operator to perform multiple, unpacking, and destructuring
assignment in R. The operator unpacks the right-hand side of an assignment into
multiple values and assigns these values to variables on the left-hand side of
the assignment.

Comment 1 Elliott Sales de Andrade 2019-05-15 04:54:31 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=34865943

Comment 2 José Matos 2019-05-16 09:14:43 UTC
The spec is simple and well written. The license is correct and acceptable for Fedora.

fedora-review only complaint is:

- Package have the default element marked as %%doc :doc, DESCRIPTION

I fail to see where does this comes from since DESCRIPTION is clearly marked as not doc.

With all that said the package is approved.

Comment 3 Gwyn Ciesla 2019-05-16 13:49:44 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/R-zeallot

Comment 4 Fedora Update System 2019-05-22 22:46:37 UTC
R-zeallot-0.1.0-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-0634d18449

Comment 5 Fedora Update System 2019-05-23 18:58:52 UTC
R-zeallot-0.1.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-0634d18449

Comment 6 Fedora Update System 2019-06-01 00:51:44 UTC
R-zeallot-0.1.0-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.